Bug 601996 - www.uk.research.att.com referenced in /etc/sysconfig/vncservers
www.uk.research.att.com referenced in /etc/sysconfig/vncservers
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tigervnc (Show other bugs)
6.0
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Tkac
qe-baseos-daemons
:
Depends On:
Blocks: 629595 671469
  Show dependency treegraph
 
Reported: 2010-06-08 20:57 EDT by Patrick C. F. Ernzer
Modified: 2011-01-21 10:45 EST (History)
4 users (show)

See Also:
Fixed In Version: tigervnc-1.0.90-0.8.20100115svn3945.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 629595 671469 (view as bug list)
Environment:
Last Closed: 2010-11-10 16:47:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2010-06-08 20:57:50 EDT
Description of problem:
in /etc/sysconfig/vncservers there is a note as follows
# DO NOT RUN THIS SERVICE if your local area network is
# untrusted!  For a secure way of using VNC, see
# <URL:http://www.uk.research.att.com/archive/vnc/sshvnc.html>.

Should this not rather contain a link to http://fedoraproject.org/wiki/Features/TigerVNC as that is AFAIK in el6?

Version-Release number of selected component (if applicable):
tigervnc-1.0.90-0.7.20100115svn3945.el6.src.rpm

How reproducible:
always

Steps to Reproduce:
1. install tigervnc-server
2. edit /etc/sysconfig/vncservers
3. be aware that VNC is unencrypted and try to do something about it
  
Actual results:
user tries to go to a link that is down

Expected results:
user should be directed to kbase.redhat.com/faq/docs/DOC-7028 or config file should contain the kbase article content in terse form


Additional info:
Comment 1 Patrick C. F. Ernzer 2010-06-08 21:01:39 EDT
oops, edit fail,

"Should this not rather contain a link ... is AFAIK in el6?"
should obviously read
"...link to fedoraproject.org... if the feature is in el6, but definitely contain a link to a short article showing ssh tunneling, e.g. the kbase one linked below"
Comment 3 RHEL Product and Program Management 2010-06-08 21:13:18 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 Adam Tkac 2010-06-14 10:37:42 EDT
Fixed in tigervnc-1.0.90-0.8.20100115svn3945.el6.
Comment 6 Alexander Todorov 2010-08-24 05:35:14 EDT
tigervnc-server-1.0.90-0.10.20100115svn3945.el6.x86_64

/etc/sysconfig/vncservers now reads:

# DO NOT RUN THIS SERVICE if your local area network is
# untrusted!  For a secure way of using VNC, see this URL:
# http://kbase.redhat.com/faq/docs/DOC-7028
Comment 7 releng-rhel@redhat.com 2010-11-10 16:47:00 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.
Comment 8 Rehan Khan 2011-01-15 21:50:53 EST
Hi

That link seems to require a Redhat subscription. Could this be changed for Fedora users that don't necessarily have a Redhat subscription (or at least be different in the Fedora release).

Thanks

Note You need to log in before you can comment on or make changes to this bug.